---
# Cop supports --autocorrect.
Layout/LineBreakAfterFinalMixin:
  Details: grace period
  Exclude:
    - 'app/controllers/admin/clusters_controller.rb'
    - 'app/controllers/admin/dashboard_controller.rb'
    - 'app/controllers/projects/deploy_keys_controller.rb'
    - 'app/controllers/snippets/blobs_controller.rb'
    - 'app/graphql/mutations/integrations/exclusions/create.rb'
    - 'app/graphql/resolvers/integrations/exclusions_resolver.rb'
    - 'app/graphql/resolvers/project_pipeline_statistics_resolver.rb'
    - 'app/graphql/resolvers/projects/deploy_key_resolver.rb'
    - 'app/models/alert_management/metric_image.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/container_registry/protection/rule.rb'
    - 'app/models/integrations/pushover.rb'
    - 'app/models/integrations/telegram.rb'
    - 'app/models/plan_limits.rb'
    - 'app/models/project_feature_usage.rb'
    - 'app/models/protected_branch/merge_access_level.rb'
    - 'app/models/protected_branch/push_access_level.rb'
    - 'app/policies/project_member_policy.rb'
    - 'app/serializers/cluster_serializer.rb'
    - 'app/serializers/container_repositories_serializer.rb'
    - 'app/serializers/feature_flag_serializer.rb'
    - 'app/serializers/pipeline_serializer.rb'
    - 'app/services/authorized_project_update/project_recalculate_service.rb'
    - 'app/services/batched_git_ref_updates/cleanup_scheduler_service.rb'
    - 'app/services/jira_connect_subscriptions/create_service.rb'
    - 'app/services/merge_requests/refresh_service.rb'
    - 'app/services/projects/transfer_service.rb'
    - 'app/services/users/update_service.rb'
    - 'app/workers/admin_email_worker.rb'
    - 'app/workers/ci/delete_unit_tests_worker.rb'
    - 'app/workers/ci/pipeline_artifacts/expire_artifacts_worker.rb'
    - 'app/workers/ci/schedule_delete_objects_cron_worker.rb'
    - 'app/workers/ci/schedule_unlock_pipelines_in_queue_cron_worker.rb'
    - 'app/workers/ci/stuck_builds/drop_canceling_worker.rb'
    - 'app/workers/ci/stuck_builds/drop_running_worker.rb'
    - 'app/workers/ci/stuck_builds/drop_scheduled_worker.rb'
    - 'app/workers/ci/update_locked_unknown_artifacts_worker.rb'
    - 'app/workers/concurrency_limit/resume_worker.rb'
    - 'app/workers/expire_build_artifacts_worker.rb'
    - 'app/workers/gitlab/export/prune_project_export_jobs_worker.rb'
    - 'app/workers/import_export_project_cleanup_worker.rb'
    - 'app/workers/members/expiring_worker.rb'
    - 'app/workers/metrics/global_metrics_update_worker.rb'
    - 'app/workers/namespaces/process_outdated_namespace_descendants_cron_worker.rb'
    - 'app/workers/object_storage/delete_stale_direct_uploads_worker.rb'
    - 'app/workers/prune_old_events_worker.rb'
    - 'app/workers/purge_dependency_proxy_cache_worker.rb'
    - 'app/workers/remove_unreferenced_lfs_objects_worker.rb'
    - 'app/workers/repository_archive_cache_worker.rb'
    - 'app/workers/stuck_ci_jobs_worker.rb'
    - 'app/workers/stuck_export_jobs_worker.rb'
    - 'app/workers/user_status_cleanup/batch_worker.rb'
    - 'app/workers/users/create_statistics_worker.rb'
    - 'db/migrate/20240213223630_add_duo_features_enabled_cascading_setting.rb'
    - 'db/post_migrate/20231017064317_swap_columns_for_ci_pipeline_variables_pipeline_id_bigint.rb'
    - 'db/post_migrate/20231122111935_drop_index_web_hook_logs_part_on_web_hook_id.rb'
    - 'db/post_migrate/20240122071840_ensure_backfill_for_ci_builds_integer_columns_is_finished.rb'
    - 'db/post_migrate/20240419122328_swap_vulnerability_feedback_pipeline_id_convert_to_bigint.rb'
    - 'db/post_migrate/20240419131607_swap_packages_build_infos_pipeline_id_convert_to_bigint.rb'
    - 'db/post_migrate/20240422080018_swap_merge_trains_pipeline_id_convert_to_bigint.rb'
    - 'db/post_migrate/20240424111535_swap_merge_request_metrics_pipeline_id_convert_to_bigint.rb'
    - 'db/post_migrate/20240513111937_swap_columns_for_p_ci_builds_trigger_request_and_erased_by.rb'
    - 'db/post_migrate/20240514081440_swap_vulnerability_occurrence_pipelines_pipeline_id_convert_to_bigint.rb'
    - 'ee/app/controllers/explore/dependencies_controller.rb'
    - 'ee/app/finders/security/pipeline_vulnerabilities_finder.rb'
    - 'ee/app/graphql/resolvers/remote_development/workspaces_for_query_root_resolver.rb'
    - 'ee/app/graphql/subscriptions/ai_completion_response.rb'
    - 'ee/app/models/approval_project_rules_protected_branch.rb'
    - 'ee/app/models/approval_rules/approval_group_rule.rb'
    - 'ee/app/models/approval_rules/approval_group_rules_protected_branch.rb'
    - 'ee/app/models/ldap_group_link.rb'
    - 'ee/app/models/namespace_limit.rb'
    - 'ee/app/models/vulnerabilities/scanner.rb'
    - 'ee/app/models/vulnerabilities/statistic.rb'
    - 'ee/app/services/ci/runners/get_usage_by_project_service.rb'
    - 'ee/app/services/ci/runners/get_usage_service.rb'
    - 'ee/app/services/ee/ip_restrictions/update_service.rb'
    - 'ee/app/services/gitlab_subscriptions/duo_pro/bulk_assign_service.rb'
    - 'ee/app/services/gitlab_subscriptions/trials/base_apply_trial_service.rb'
    - 'ee/app/services/incident_management/oncall_rotations/edit_service.rb'
    - 'ee/app/services/incident_management/oncall_rotations/remove_participant_service.rb'
    - 'ee/app/services/llm/generate_description_service.rb'
    - 'ee/app/services/product_analytics/initialize_stack_service.rb'
    - 'ee/app/services/remote_development/workspaces/update_service.rb'
    - 'ee/app/services/vulnerabilities/bulk_dismiss_service.rb'
    - 'ee/app/workers/active_user_count_threshold_worker.rb'
    - 'ee/app/workers/analytics/cycle_analytics/consistency_worker.rb'
    - 'ee/app/workers/analytics/cycle_analytics/incremental_worker.rb'
    - 'ee/app/workers/analytics/cycle_analytics/reaggregation_worker.rb'
    - 'ee/app/workers/analytics/value_stream_dashboard/count_worker.rb'
    - 'ee/app/workers/arkose/blocked_users_report_worker.rb'
    - 'ee/app/workers/elastic_indexing_control_worker.rb'
    - 'ee/app/workers/emails/abandoned_trial_emails_cron_worker.rb'
    - 'ee/app/workers/geo/metrics_update_worker.rb'
    - 'ee/app/workers/geo/sidekiq_cron_config_worker.rb'
    - 'ee/app/workers/gitlab_subscriptions/notify_seats_exceeded_batch_worker.rb'
    - 'ee/app/workers/historical_data_worker.rb'
    - 'ee/app/workers/ldap_all_groups_sync_worker.rb'
    - 'ee/app/workers/okrs/checkin_reminder_emails_cron_worker.rb'
    - 'ee/app/workers/security/create_orchestration_policy_worker.rb'
    - 'ee/app/workers/sync_seat_link_worker.rb'
    - 'ee/app/workers/vulnerabilities/historical_statistics/deletion_worker.rb'
    - 'ee/app/workers/vulnerabilities/statistics/schedule_worker.rb'
    - 'ee/app/workers/work_items/rolledup_dates/update_rolledup_dates_worker.rb'
    - 'ee/lib/api/dependency_proxy/packages/maven.rb'
    - 'ee/lib/api/resource_iteration_events.rb'
    - 'ee/lib/api/resource_weight_events.rb'
    - 'ee/lib/duo_pro/bulk_user_assignment.rb'
    - 'ee/lib/ee/api/entities/project_push_rule.rb'
    - 'ee/lib/ee/gitlab/background_migration/create_compliance_standards_adherence.rb'
    - 'ee/lib/ee/gitlab/background_migration/create_vulnerability_links.rb'
    - 'ee/lib/ee/gitlab/background_migration/delete_orphaned_transferred_project_approval_rules.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_vulnerabilities_feedback_to_vulnerabilities_state_transition.rb'
    - 'ee/lib/gitlab/auth/group_saml/identity_linker.rb'
    - 'ee/lib/gitlab/llm/chain/tools/explain_code/prompts/anthropic.rb'
    - 'ee/lib/gitlab/search/zoekt/client.rb'
    - 'ee/lib/gitlab/status_page/storage/s3_multipart_upload.rb'
    - 'ee/lib/remote_development/agent_config/main.rb'
    - 'ee/lib/remote_development/agent_config/updater.rb'
    - 'ee/lib/remote_development/settings/main.rb'
    - 'ee/lib/remote_development/workspaces/create/main.rb'
    - 'ee/lib/remote_development/workspaces/reconcile/main.rb'
    - 'ee/lib/remote_development/workspaces/update/main.rb'
    - 'ee/lib/search/zoekt/query.rb'
    - 'lib/api/discussions.rb'
    - 'lib/api/events.rb'
    - 'lib/api/group_labels.rb'
    - 'lib/api/issues.rb'
    - 'lib/api/labels.rb'
    - 'lib/api/notes.rb'
    - 'lib/api/project_events.rb'
    - 'lib/api/remote_mirrors.rb'
    - 'lib/api/resource_label_events.rb'
    - 'lib/api/resource_milestone_events.rb'
    - 'lib/api/resource_state_events.rb'
    - 'lib/api/rubygem_packages.rb'
    - 'lib/api/terraform/modules/v1/namespace_packages.rb'
    - 'lib/api/terraform/modules/v1/project_packages.rb'
    - 'lib/banzai/filter/references/design_reference_filter.rb'
    - 'lib/feature.rb'
    - 'lib/gitlab/auth/current_user_mode.rb'
    - 'lib/gitlab/auth/otp/strategies/forti_token_cloud.rb'
    - 'lib/gitlab/background_migration/backfill_draft_status_on_merge_requests_with_corrected_regex.rb'
    - 'lib/gitlab/background_migration/remove_occurrence_pipelines_and_duplicate_vulnerabilities_findings.rb'
    - 'lib/gitlab/background_migration/update_jira_tracker_data_deployment_type_based_on_url.rb'
    - 'lib/gitlab/ci/config/interpolation/config.rb'
    - 'lib/gitlab/cluster/rack_timeout_observer.rb'
    - 'lib/gitlab/etag_caching/router/graphql.rb'
    - 'lib/gitlab/git_post_receive.rb'
    - 'lib/gitlab/prometheus_client.rb'
    - 'lib/gitlab/spamcheck/result.rb'
    - 'lib/gitlab/user_access_snippet.rb'
    - 'lib/gitlab/view/presenter/delegated.rb'
    - 'lib/system_check/incoming_email/mail_room_enabled_check.rb'
    - 'lib/system_check/incoming_email/mail_room_running_check.rb'
    - 'qa/qa/ee/page/workspace/new.rb'
    - 'qa/qa/ee/scenario/test/integration/group_saml.rb'
    - 'qa/qa/page/organization/new.rb'
    - 'qa/qa/page/organization/show.rb'
    - 'qa/qa/page/project/issue/show.rb'
    - 'qa/qa/page/project/snippet/new.rb'
    - 'qa/qa/resource/base.rb'
    - 'qa/qa/scenario/test/instance/airgapped.rb'
